Bug 1259356 - Average instead of maximum values in host heatmap report
Average instead of maximum values in host heatmap report
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-reports
Classification: oVirt
Component: Reports (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Shirly Radco
Lukas Svaty
:
Depends On:
Blocks: 1132487
  Show dependency treegraph
 
Reported: 2015-09-02 08:57 EDT by Karolína Hajná
Modified: 2016-05-19 21:24 EDT (History)
12 users (show)

See Also:
Fixed In Version: rhevm-reports-3.6.2-1.el6ev
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:14:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Reports
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
sradco: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)
report with average CPU usage (16.09 KB, image/png)
2015-09-03 05:41 EDT, Karolína Hajná
no flags Details
report with maximum CPU usage (16.22 KB, image/png)
2015-09-03 05:42 EDT, Karolína Hajná
no flags Details
HeatMap report - CPU Maximum (156.21 KB, image/png)
2015-12-02 06:12 EST, Shirly Radco
no flags Details
HeatMap report - CPU Average (156.30 KB, image/png)
2015-12-02 06:13 EST, Shirly Radco
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49651 master MERGED reports:fix bug in heatmap report(br49) 2015-12-21 15:14 EST

  None (edit)
Description Karolína Hajná 2015-09-02 08:57:16 EDT
Description of problem:
When maximum values are selected in host heatmap report IC, average values are shown in the report instead.

Version-Release number of selected component (if applicable):
3.6.0-0.12.master.el6

How reproducible:
100%

Steps to Reproduce:
1. Add a host to your engine
2. Stress the host CPU/Memory for a while
3. Open host heatmap report and select maximum values in IC
4. Compare real data with data in report

Actual results:
Average values in report

Expected results:
Maximum values in report
Comment 1 Yaniv Lavi (Dary) 2015-09-03 04:33:35 EDT
Can you attach screenshots?
Comment 2 Karolína Hajná 2015-09-03 05:41:46 EDT
Created attachment 1069718 [details]
report with average CPU usage
Comment 3 Karolína Hajná 2015-09-03 05:42:12 EDT
Created attachment 1069719 [details]
report with maximum CPU usage
Comment 5 Shirly Radco 2015-11-11 08:24:21 EST
Hi,

Can you please attach the actual cpu values for the hosts in your screensuts?
or send me a db dump if you are not sure how?

Thank you.
Comment 6 Karolína Hajná 2015-11-13 03:01:41 EST
Hi, unfortunatelly I already don't have the engine nor hosts. But from what I remember I used stress for a minute or two each hour. The CPU/RAM usage was up to above 90%. This was shown correctly in report for max values. But report with average values was exactly the same even though the CPU was not used at all for the rest of time (~58 minutes).
Comment 7 Shirly Radco 2015-12-02 06:11:21 EST
Hi Karolína,

I checked the Heatmap reports and I don't see the issue you encountered.
I attached an example for running the report on the same hosts on the same time frame and I get different results for average and Maximum.

Please try checking this again and update the bug with a db dump.
Comment 8 Shirly Radco 2015-12-02 06:12 EST
Created attachment 1101415 [details]
HeatMap report - CPU Maximum
Comment 9 Shirly Radco 2015-12-02 06:13 EST
Created attachment 1101416 [details]
HeatMap report - CPU Average
Comment 10 Shirly Radco 2015-12-03 07:58:52 EST
Sorry, I found the issue.
Comment 11 Lukas Svaty 2016-01-07 10:13:24 EST
verified in rhevm-reports-3.6.2.1-1.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.